time-tabling.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Int::Cumulative::TaskByDecCap< Task >
| Sort order for tasks by decreasing capacity. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Cumulative
| Scheduling for cumulative resources

## Functions

template<class Task, class Cap>
ExecStatus | Gecode::Int::Cumulative::timetabling (Space &home, Propagator &p, Cap c, TaskArray< Task > &t)
| Perform time-tabling propagation.